#if NETFRAMEWORK && NET48

using System.Web.Http;
using System.Web.Http.Results;

namespace Adaptation.FileHandlers.Archive.ApiController;

[Route("api/[controller]")]
public class WaferCounterController : System.Web.Http.ApiController
{

#nullable enable

    [HttpGet]
#pragma warning disable CA1822
    public OkNegotiatedContentResult<string[]> Get()
#pragma warning restore CA1822
    {
        string[] results = WaferCounterHelper.Review();
        return Ok(results);
    }

    [HttpPut]
#pragma warning disable CA1822
    public OkNegotiatedContentResult<string> Put(string callbackUrl)
#pragma warning restore CA1822
    {
        WaferCounterHelper.Subscribe(callbackUrl);
        return Ok(callbackUrl);
    }

    [HttpDelete]
#pragma warning disable CA1822
    public OkNegotiatedContentResult<string> Delete(string callbackUrl)
#pragma warning restore CA1822
    {
        WaferCounterHelper.Unsubscribe(callbackUrl);
        return Ok(callbackUrl);
    }

    [HttpGet]
#pragma warning disable CA1822
    public OkNegotiatedContentResult<string> Get(string area, string waferSize)
#pragma warning restore CA1822
    {
        string result = WaferCounterHelper.GetLastQuantityAndSlotMap(area, waferSize);
        return Ok(result);
    }

}

#endif